String interpolation should be delayed at logging calls

Bug #1596829 reported by Takashi NATSUME on 2016-06-28
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Glance
Undecided
weiweigu
Glance Client
Undecided
haobing1
Glare
Undecided
Unassigned
Ironic
Undecided
Bharath kumar
OpenStack Compute (nova)
Low
Takashi NATSUME
OpenStack Dashboard (Horizon)
Low
Gábor Antal
OpenStack Identity (keystone)
Low
LiChunlin
Zun
Undecided
feng.shengqin@zte.com.cn
congress
Undecided
Takashi NATSUME
ec2-api
Low
Unassigned
glance_store
Undecided
haobing1
masakari
Low
Takashi NATSUME
networking-vsphere
Undecided
Aman Kumar
os-brick
Low
weiweigu
os-vif
Undecided
Takashi NATSUME
python-manilaclient
Undecided
Gábor Antal
python-openstackclient
Undecided
Gábor Antal
python-troveclient
Undecided
jian.song
senlin
Undecided
Unassigned
watcher
Undecided
LiChunlin

Bug Description

String interpolation should be delayed to be handled by the logging code, rather than being done at the point of the logging call.

Wrong: LOG.debug('Example: %s' % 'bad')
Right: LOG.debug('Example: %s', 'good')

See the following guideline.

* http://docs.openstack.org/developer/oslo.i18n/guidelines.html#adding-variables-to-log-messages

The rule for it should be added to hacking checks.

Changed in nova:
assignee: nobody → Takashi NATSUME (natsume-takashi)
status: New → In Progress
Changed in neutron:
assignee: nobody → Takashi NATSUME (natsume-takashi)

Fix proposed to branch: master
Review: https://review.openstack.org/339268

Changed in neutron:
status: New → In Progress
Changed in nova:
importance: Undecided → Low
weiweigu (gu-weiwei) on 2016-07-12
Changed in cinder:
assignee: nobody → weiweigu (gu-weiwei)
Changed in glance:
assignee: nobody → weiweigu (gu-weiwei)
weiweigu (gu-weiwei) on 2016-07-12
Changed in os-brick:
assignee: nobody → weiweigu (gu-weiwei)
haobing1 (haobing1) on 2016-07-12
Changed in python-cinderclient:
assignee: nobody → haobing1 (haobing1)
Changed in python-glanceclient:
assignee: nobody → haobing1 (haobing1)
haobing1 (haobing1) on 2016-07-12
Changed in glance-store:
assignee: nobody → haobing1 (haobing1)
Changed in ceilometer:
assignee: nobody → haobing1 (haobing1)
weiweigu (gu-weiwei) on 2016-07-12
Changed in keystone:
assignee: nobody → weiweigu (gu-weiwei)
Changed in ironic:
assignee: nobody → weiweigu (gu-weiwei)
Changed in heat:
assignee: nobody → weiweigu (gu-weiwei)
haobing1 (haobing1) on 2016-07-12
Changed in swift:
assignee: nobody → haobing1 (haobing1)
haobing1 (haobing1) on 2016-07-12
Changed in taskflow:
assignee: nobody → haobing1 (haobing1)

Reviewed: https://review.openstack.org/339268
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=5cef3f726e00ab2b22e3eca2b1050a431547fb85
Submitter: Jenkins
Branch: master

commit 5cef3f726e00ab2b22e3eca2b1050a431547fb85
Author: Takashi NATSUME <email address hidden>
Date: Thu Jul 7 22:19:33 2016 +0900

    Add a hacking rule for string interpolation at logging

    String interpolation should be delayed to be handled
    by the logging code, rather than being done
    at the point of the logging call.
    So add a hacking rule for it.

    See the oslo i18n guideline.

    * http://docs.openstack.org/developer/oslo.i18n/guidelines.html

    Change-Id: I91e8d59d508c594256d5f74514e62f8f928d1df5
    Closes-Bug: #1596829

Changed in neutron:
status: In Progress → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/340724

Changed in os-brick:
status: New → In Progress
Michal Dulko (michal-dulko-f) wrote :
no longer affects: cinder

Fix proposed to branch: master
Review: https://review.openstack.org/340933

Changed in python-glanceclient:
status: New → In Progress

Reviewed: https://review.openstack.org/340724
Committed: https://git.openstack.org/cgit/openstack/os-brick/commit/?id=e2506d11996a7a55ca90860b4345ea3bfa25c0fe
Submitter: Jenkins
Branch: master

commit e2506d11996a7a55ca90860b4345ea3bfa25c0fe
Author: weiweigu <email address hidden>
Date: Tue Jul 12 16:33:39 2016 +0800

    Fix string interpolation to delayed to be handled by the logging code

    String interpolation should be delayed to be handled by the logging
    code, rather than being done at the point of the logging call.
    See the oslo i18n guideline.
    * http://docs.openstack.org/developer/oslo.i18n/guidelines.html

    Change-Id: I410acf693d8b7b1677a7f5b1749d9c1a48aaf177
    Closes-Bug: #1596829

Changed in os-brick:
status: In Progress → Fix Released
Aman Kumar (amank) on 2016-07-13
Changed in networking-vsphere:
assignee: nobody → Aman Kumar (amank)

Fix proposed to branch: master
Review: https://review.openstack.org/341309

Changed in networking-vsphere:
status: New → In Progress

This issue was fixed in the openstack/neutron 9.0.0.0b2 development milestone.

Reviewed: https://review.openstack.org/341309
Committed: https://git.openstack.org/cgit/openstack/networking-vsphere/commit/?id=9300f62e12cca83fdbb316e894c17f2b226677b8
Submitter: Jenkins
Branch: master

commit 9300f62e12cca83fdbb316e894c17f2b226677b8
Author: Aman Kumar <email address hidden>
Date: Tue Jul 12 23:00:21 2016 -0700

    Fix string interpolation to delayed by logging

    String interpolation should be delayed to be handled by the logging
    code, rather than being done at the point of the logging call.

    See the oslo i18n guideline.
    * http://docs.openstack.org/developer/oslo.i18n/guidelines.html

    References: https://review.openstack.org/#/c/339268

    Change-Id: Iace952cfcf8dec76f0a6bfe11693d175fa07c640
    Closes-Bug: #1596829

Changed in networking-vsphere:
status: In Progress → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/341995

Changed in glance:
status: New → In Progress
haobing1 (haobing1) on 2016-07-15
no longer affects: python-cinderclient
haobing1 (haobing1) on 2016-07-15
Changed in python-cinderclient:
assignee: nobody → haobing1 (haobing1)

Fix proposed to branch: master
Review: https://review.openstack.org/342707

Changed in python-cinderclient:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/342924

Changed in ironic:
assignee: weiweigu (gu-weiwei) → Bharath kumar (bharath-kumar3)
status: New → In Progress

Reviewed: https://review.openstack.org/342707
Committed: https://git.openstack.org/cgit/openstack/python-cinderclient/commit/?id=d2f4b63f647da7c0f1bf36858617ef0e71496cff
Submitter: Jenkins
Branch: master

commit d2f4b63f647da7c0f1bf36858617ef0e71496cff
Author: haobing1 <email address hidden>
Date: Fri Jul 15 17:54:30 2016 +0800

    Fix string interpolation to delayed to be handled by the logging code

    String interpolation should be delayed to be handled by the logging
    code, rather than being done at the point of the logging call.
    See the oslo i18n guideline.
    * http://docs.openstack.org/developer/oslo.i18n/guidelines.html

    Change-Id: I3fa26c1c5c672d5505fa556e03af35318f4774ab
    Closes-Bug: #1596829

Changed in python-cinderclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/342924
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=598dee274c975f3544e09c9bfe4f676ff4643a49
Submitter: Jenkins
Branch: master

commit 598dee274c975f3544e09c9bfe4f676ff4643a49
Author: Bharath kumar <email address hidden>
Date: Fri Jul 15 15:20:19 2016 +0000

    Following the hacking rule for string interpolation at logging

    String interpolation should be delayed to be handled
    by the logging code, rather than being done
    at the point of the logging call.

    See the oslo i18n guideline.

    * http://docs.openstack.org/developer/oslo.i18n/guidelines.html#adding-variables-to-log-messages

    * http://docs.openstack.org/developer/oslo.i18n/guidelines.html#avoid-forcing-the-translation-of-translatable-variables

    Change-Id: I96eaede777ca60c7ba2b83ea6968108910b62953
    Closes-Bug: #1596829

Changed in ironic:
status: In Progress → Fix Released
tags: added: neutron-proactive-backport-potential
Changed in python-neutronclient:
assignee: nobody → Takashi NATSUME (natsume-takashi)

Fix proposed to branch: master
Review: https://review.openstack.org/347155

Changed in python-neutronclient:
status: New → In Progress

Reviewed: https://review.openstack.org/347155
Committed: https://git.openstack.org/cgit/openstack/python-neutronclient/commit/?id=ec20f7f85c3a8ecd788536401eeeb0fef4ef18c2
Submitter: Jenkins
Branch: master

commit ec20f7f85c3a8ecd788536401eeeb0fef4ef18c2
Author: Takashi NATSUME <email address hidden>
Date: Tue Jul 26 15:48:11 2016 +0900

    Fix string interpolation at logging call

    Skip creating the formatted log message
    if the message is not going to be emitted
    because of the log level.

    Change-Id: I19d985addb2bdc1b5e17ecd5ac90223e5347d7b2
    Closes-Bug: #1596829

Changed in python-neutronclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-neutronclient 5.0.0 release.

Reviewed: https://review.openstack.org/340933
Committed: https://git.openstack.org/cgit/openstack/python-glanceclient/commit/?id=2d7b864b1715f0569e37e3be55d6c6b0461c5cd5
Submitter: Jenkins
Branch: master

commit 2d7b864b1715f0569e37e3be55d6c6b0461c5cd5
Author: haobing1 <email address hidden>
Date: Tue Jul 12 21:11:05 2016 +0800

    Fix string interpolation to delayed to be handled by the logging code

    String interpolation should be delayed to be handled by the logging
    code, rather than being done at the point of the logging call.
    See the oslo i18n guideline.
    * http://docs.openstack.org/developer/oslo.i18n/guidelines.html

    Change-Id: If06663076e4081c6268ba88c157513723b734b31
    Closes-Bug: #1596829

Changed in python-glanceclient:
status: In Progress → Fix Released
no longer affects: keystone
LiuNanke (nanke-liu) on 2016-08-02
Changed in murano:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress
Changed in os-vif:
assignee: nobody → Takashi NATSUME (natsume-takashi)

Fix proposed to branch: master
Review: https://review.openstack.org/349783

Changed in os-vif:
status: New → In Progress
Changed in masakari:
assignee: nobody → Takashi NATSUME (natsume-takashi)

Fix proposed to branch: master
Review: https://review.openstack.org/349807

Changed in masakari:
status: New → In Progress

Reviewed: https://review.openstack.org/349768
Committed: https://git.openstack.org/cgit/openstack/murano/commit/?id=0fe151d07f1f77bec1e8b7827823bf7197b52408
Submitter: Jenkins
Branch: master

commit 0fe151d07f1f77bec1e8b7827823bf7197b52408
Author: LiuNanke <email address hidden>
Date: Tue Aug 2 11:20:41 2016 +0800

    Fix string interpolation to delayed by logging

    String interpolation should be delayed to be handled by the logging
    code, rather than being done at the point of the logging call.

    See the oslo i18n guideline.
    * http://docs.openstack.org/developer/oslo.i18n/guidelines.html

    References: https://review.openstack.org/#/c/339268

    Change-Id: Ie4ea466f951db796fd85277c52be40018dfb01ac
    Closes-Bug:#1596829

Changed in murano:
status: In Progress → Fix Released
Changed in masakari:
importance: Undecided → Low
Changed in murano:
importance: Undecided → Low
milestone: none → newton-3

Reviewed: https://review.openstack.org/349783
Committed: https://git.openstack.org/cgit/openstack/os-vif/commit/?id=ff28181fddaddbff855201000a1945af75168724
Submitter: Jenkins
Branch: master

commit ff28181fddaddbff855201000a1945af75168724
Author: Takashi NATSUME <email address hidden>
Date: Tue Aug 2 13:13:39 2016 +0900

    Fix logging calls

    This patch fixes the following items.

    - Missing a marker function _LI
    - String interpolation
    - A typo (ENsuring -> Ensuring)

    * Guidelines for Use In OpenStack — oslo.i18n
    http://docs.openstack.org/developer/oslo.i18n/guidelines.html

    Change-Id: I4cc5781100fd2d2be3dd5c44c789396f3fdbd649
    Closes-Bug: #1596829

Changed in os-vif:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-glanceclient 2.3.0 release.

This issue was fixed in the openstack/os-brick 1.5.0 release.

Changed in congress:
assignee: nobody → Takashi NATSUME (natsume-takashi)

Fix proposed to branch: master
Review: https://review.openstack.org/352178

Changed in congress:
status: New → In Progress
no longer affects: murano

Reviewed: https://review.openstack.org/349807
Committed: https://git.openstack.org/cgit/openstack/masakari/commit/?id=cd3be63409146c960949708b952282b879a70e56
Submitter: Jenkins
Branch: master

commit cd3be63409146c960949708b952282b879a70e56
Author: Takashi NATSUME <email address hidden>
Date: Tue Aug 2 14:39:30 2016 +0900

    Add a hacking rule for string interpolation at logging

    String interpolation should be delayed to be handled
    by the logging code, rather than being done
    at the point of the logging call.
    So add a hacking rule for it.

    See the oslo i18n guideline.

    * http://docs.openstack.org/developer/oslo.i18n/guidelines.html

    Change-Id: Ib7d97e6edbb8069c12b22505c0d6653b4a17ec78
    Closes-Bug: #1596829

Changed in masakari:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/352178
Committed: https://git.openstack.org/cgit/openstack/congress/commit/?id=fb921a86d339a632e21404acb11eed735f9dab62
Submitter: Jenkins
Branch: master

commit fb921a86d339a632e21404acb11eed735f9dab62
Author: Takashi NATSUME <email address hidden>
Date: Mon Aug 8 10:01:55 2016 +0900

    Fix string interpolation at logging call

    Skip creating the formatted log message
    if the message is not going to be emitted
    because of the log level.

    See the oslo i18n guideline.

    * http://docs.openstack.org/developer/oslo.i18n/guidelines.html#\
      adding-variables-to-log-messages

    Change-Id: Ie9f3c9179cdae57ee298149f829811a5422fb9aa
    Closes-Bug: #1596829

Changed in congress:
status: In Progress → Fix Released

This issue was fixed in the openstack/ironic 6.1.0 release.

Fix proposed to branch: master
Review: https://review.openstack.org/355158

Changed in glance-store:
status: New → In Progress

Reviewed: https://review.openstack.org/347126
Committed: https://git.openstack.org/cgit/openstack/neutron-lib/commit/?id=eb32fd4fbd0c16b51efb91f2385ab3f2243fcd48
Submitter: Jenkins
Branch: master

commit eb32fd4fbd0c16b51efb91f2385ab3f2243fcd48
Author: Takashi NATSUME <email address hidden>
Date: Tue Jul 26 14:56:46 2016 +0900

    Add a hacking rule for string interpolation at logging

    String interpolation should be delayed to be handled
    by the logging code, rather than being done at the point of
    the logging call. So add the following hacking rule for it.

    - [N536] String interpolation should be delayed at logging calls.

    We need this to ensure that all projects using the neutron-lib
    hacking rules still have enforcement of the log policies
    of the project.

    See the oslo i18n guideline.

    * http://docs.openstack.org/developer/oslo.i18n/guidelines.html

    Change-Id: I901dcbfbd53d5d19db651473d2891bc8e8a59710
    Related-Bug: #1596829

Hanxi Liu (hanxi-liu) wrote :

@haobing1
If you don't have time to fix the bug for ceilometer. Would you please give it to me?

This issue was fixed in the openstack/os-vif 1.2.0 release.

haobing1 (haobing1) on 2016-09-01
no longer affects: taskflow
haobing1 (haobing1) on 2016-09-01
no longer affects: swift

This issue was fixed in the openstack/congress 4.0.0.0b3 development milestone.

This issue was fixed in the openstack/murano 3.0.0.0b3 development milestone.

This issue was fixed in the openstack/python-cinderclient 1.9.0 release.

Bathri Ajay Raj (bathri-s) wrote :

@weiweigu, If you are not working on heat, can you please let me know so I can fix it?

Changed in heat:
assignee: weiweigu (gu-weiwei) → Bathri Ajay Raj (bathri-s)
tags: removed: neutron-proactive-backport-potential

Reviewed: https://review.openstack.org/334844
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=4eb89c206e68a7172ebad897ad24769036c7bdd6
Submitter: Jenkins
Branch: master

commit 4eb89c206e68a7172ebad897ad24769036c7bdd6
Author: Takashi NATSUME <email address hidden>
Date: Tue Jun 28 16:42:31 2016 +0900

    Add a hacking rule for string interpolation at logging

    String interpolation should be delayed to be handled
    by the logging code, rather than being done
    at the point of the logging call.
    So add the following hacking rule for it.

    - [N354] String interpolation should be delayed at logging calls.

    See the oslo i18n guideline.

    * http://docs.openstack.org/developer/oslo.i18n/guidelines.html

    Change-Id: Ief6d3ee3539c0857098fffdb7acfeec3e0fed6eb
    Closes-Bug: #1596829

Changed in nova:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-cinderclient 1.9.0 release.

This issue was fixed in the openstack/nova 15.0.0.0b1 development milestone.

gordon chung (chungg) on 2016-12-05
no longer affects: ceilometer

This issue was fixed in the openstack/python-cinderclient 1.9.0 release.

Change abandoned by haobing (<email address hidden>) on branch: master
Review: https://review.openstack.org/355158

Changed in python-manilaclient:
assignee: nobody → Gábor Antal (gabor.antal)

Fix proposed to branch: master
Review: https://review.openstack.org/430348

Changed in python-manilaclient:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/430362

Changed in python-troveclient:
assignee: nobody → Gábor Antal (gabor.antal)
status: New → In Progress
Changed in python-troveclient:
status: In Progress → New
Eric Harney (eharney) on 2017-02-07
Changed in python-cinderclient:
importance: Undecided → Low
Changed in os-brick:
importance: Undecided → Low
Changed in python-troveclient:
status: New → In Progress

Reviewed: https://review.openstack.org/430348
Committed: https://git.openstack.org/cgit/openstack/python-manilaclient/commit/?id=8d67ca5cf470b1a0e339cd519aa2ad1a6b044292
Submitter: Jenkins
Branch: master

commit 8d67ca5cf470b1a0e339cd519aa2ad1a6b044292
Author: Gábor Antal <email address hidden>
Date: Tue Feb 7 17:32:27 2017 +0100

    Handle log message interpolation by the logger

    According to OpenStack Guideline[1], logged string message should be
    interpolated by the logger.

    [1]: http://docs.openstack.org/developer/oslo.i18n/guidelines.html#adding-variables-to-log-messages
    Closes-Bug: #1596829

    Change-Id: I0c4a2a1cce98dbf78dd30850951466cd01491cfc

Changed in python-manilaclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/430308
Committed: https://git.openstack.org/cgit/openstack/python-cinderclient/commit/?id=84346b5dba784bfeb3a53ae83d400ba264263cf6
Submitter: Jenkins
Branch: master

commit 84346b5dba784bfeb3a53ae83d400ba264263cf6
Author: Gábor Antal <email address hidden>
Date: Tue Feb 7 16:21:21 2017 +0100

    Handle log message interpolation by the logger

    According to OpenStack Guideline[1], logged string message should be
    interpolated by the logger.

    [1]: http://docs.openstack.org/developer/oslo.i18n/guidelines.html#adding-variables-to-log-messages

    Change-Id: Ib5f86d1f0846e292457813c893b73c6999e554a5
    Closes-Bug: #1596829

Changed in python-openstackclient:
assignee: nobody → Gábor Antal (gabor.antal)
Thomas Herve (therve) on 2017-02-13
no longer affects: heat

Fix proposed to branch: master
Review: https://review.openstack.org/433161

Changed in python-openstackclient:
status: New → In Progress

Related fix proposed to branch: master
Review: https://review.openstack.org/433193

Reviewed: https://review.openstack.org/433214
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=1c91e9828d64c927cc28d9de61dd56887ca59dff
Submitter: Jenkins
Branch: master

commit 1c91e9828d64c927cc28d9de61dd56887ca59dff
Author: Gábor Antal <email address hidden>
Date: Mon Feb 13 18:41:24 2017 +0100

    Handle log message interpolation by the logger in compute/

    According to OpenStack Guideline[1], logged string message should be
    interpolated by the logger.

    [1]: http://docs.openstack.org/developer/oslo.i18n/guidelines.html#adding-variables-to-log-messages

    Change-Id: Ib7b5fb5f794026fc8a84260c4803afea321a9cf5
    Closes-Bug: #1596829

Changed in python-openstackclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/433193
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=c9b1c2ad961a767927c7f0efc3b4df3c11804bc9
Submitter: Jenkins
Branch: master

commit c9b1c2ad961a767927c7f0efc3b4df3c11804bc9
Author: Gábor Antal <email address hidden>
Date: Mon Feb 13 18:13:29 2017 +0100

    Handle log message interpolation by the logger in network/

    According to OpenStack Guideline[1], logged string message should be
    interpolated by the logger.

    [1]: http://docs.openstack.org/developer/oslo.i18n/guidelines.html#adding-variables-to-log-messages
    Related-Bug: #1596829

    Change-Id: I17467d01420750c004fbbf2a07730fc2badd62b8

Reviewed: https://review.openstack.org/433174
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=335c8d3ef3e5d1112a90d2efa267e5f00a2c5357
Submitter: Jenkins
Branch: master

commit 335c8d3ef3e5d1112a90d2efa267e5f00a2c5357
Author: Gábor Antal <email address hidden>
Date: Mon Feb 13 17:36:56 2017 +0100

    Handle log message interpolation by the logger in identity/

    According to OpenStack Guideline[1], logged string message should be
    interpolated by the logger.

    [1]: http://docs.openstack.org/developer/oslo.i18n/guidelines.html#adding-variables-to-log-messages

    Change-Id: I1d6588093616099a9eef0947c09e038b9e53493a
    Related-Bug: #1596829

Changed in senlin:
assignee: nobody → huangtianhua (huangtianhua)
Changed in heat:
assignee: nobody → huangtianhua (huangtianhua)
Thomas Herve (therve) on 2017-02-14
no longer affects: heat
Changed in senlin:
status: New → Invalid
assignee: huangtianhua (huangtianhua) → nobody

This issue was fixed in the openstack/python-openstackclient 3.9.0 release.

Changed in python-troveclient:
assignee: Gábor Antal (gabor.antal) → jian.song (jiansong)

This issue was fixed in the openstack/python-cinderclient 2.0.0 release.

Changed in horizon:
assignee: nobody → Akihiro Motoki (amotoki)
status: New → In Progress
Akihiro Motoki (amotoki) on 2017-03-28
Changed in horizon:
assignee: Akihiro Motoki (amotoki) → Gábor Antal (gabor.antal)
Changed in sahara:
assignee: nobody → pawnesh kumar (pawnesh.kumar)
Changed in horizon:
assignee: Gábor Antal (gabor.antal) → Akihiro Motoki (amotoki)
Akihiro Motoki (amotoki) on 2017-03-31
Changed in horizon:
assignee: Akihiro Motoki (amotoki) → Gábor Antal (gabor.antal)
importance: Undecided → Low
milestone: none → pike-1

Reviewed: https://review.openstack.org/428686
Committed: https://git.openstack.org/cgit/openstack/horizon/commit/?id=34a3aa0ba8783c5cc191fff730a164d377d4c89f
Submitter: Jenkins
Branch: master

commit 34a3aa0ba8783c5cc191fff730a164d377d4c89f
Author: Gábor Antal <email address hidden>
Date: Tue Mar 28 16:47:28 2017 +0200

    Handle log message interpolation by the logger

    According to OpenStack Guideline[1], logged string message should be
    interpolated by the logger.

    [1]: http://docs.openstack.org/developer/oslo.i18n/guidelines.html#adding-variables-to-log-messages
    Change-Id: I51f50935f1eeffe4960562d6309dfdf05814e595
    Closes-Bug: #1596829

Changed in horizon:
status: In Progress → Fix Released
Akihiro Motoki (amotoki) on 2017-04-01
no longer affects: python-neutronclient
no longer affects: neutron

This issue was fixed in the openstack/horizon 12.0.0.0b1 development milestone.

This issue was fixed in the openstack/python-manilaclient 1.15.0 release.

no longer affects: sahara

Reviewed: https://review.openstack.org/430362
Committed: https://git.openstack.org/cgit/openstack/python-troveclient/commit/?id=ccceffa7f56bfcc2ff42f98a6272ace866993d09
Submitter: Jenkins
Branch: master

commit ccceffa7f56bfcc2ff42f98a6272ace866993d09
Author: Gábor Antal <email address hidden>
Date: Tue Feb 7 17:54:11 2017 +0100

    Handle log message interpolation by the logger

    According to OpenStack Guideline[1], logged string message should be
    interpolated by the logger.

    Also, upgraded hacking requirement, to enable H904 check.

    [1]: http://docs.openstack.org/developer/oslo.i18n/guidelines.html#adding-variables-to-log-messages

    Co-Authored-By: jiansong <email address hidden>
    Change-Id: I3f020b6bcb1b9bf6d18a3b4f738c13cccd1bbff8
    Closes-Bug: #1596829

Changed in python-troveclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/480391
Committed: https://git.openstack.org/cgit/openstack/glare/commit/?id=4e615d6da64d583f4023ad5ea8f3a24edb20931e
Submitter: Jenkins
Branch: master

commit 4e615d6da64d583f4023ad5ea8f3a24edb20931e
Author: Ngo Quoc Cuong <email address hidden>
Date: Wed Jul 5 03:39:22 2017 -0400

    Enable H904 check

    H904 String interpolation should be delayed to be handled by the
    logging code, rather than being done at the point of the logging call.
    Use ',' instead of '%'.

    See: https://docs.openstack.org/oslo.i18n/latest/user/guidelines.html#adding-variables-to-log-messages

    Change-Id: I66ea69fe877fa57a54e06c22221cdd1f3414ef16
    Related-Bug: #1596829

Changed in ec2-api:
importance: Undecided → Low
status: New → Confirmed
Changed in zun:
assignee: nobody → feng.shengqin@zte.com.cn (feng-shengqin)
no longer affects: cinder
no longer affects: python-cinderclient

Fix proposed to branch: master
Review: https://review.openstack.org/480817

Changed in zun:
status: New → In Progress

Change abandoned by feng.shengqin (<email address hidden>) on branch: master
Review: https://review.openstack.org/480817
Reason: https://review.openstack.org/#/c/480387/

Reviewed: https://review.openstack.org/480387
Committed: https://git.openstack.org/cgit/openstack/zun/commit/?id=5904cc24573fd93a6cf91f84875ea0b298ae84bc
Submitter: Jenkins
Branch: master

commit 5904cc24573fd93a6cf91f84875ea0b298ae84bc
Author: Ngo Quoc Cuong <email address hidden>
Date: Wed Jul 5 03:29:56 2017 -0400

    Enable H904 check

    H904 String interpolation should be delayed to be handled by the
    logging code, rather than being done at the point of the logging call.
    Use ',' instead of '%'.

    See: https://docs.openstack.org/oslo.i18n/latest/user/guidelines.html#adding-variables-to-log-messages

    Related-Bug: #1596829
    Change-Id: If986ca58517876d65e04b5e63ba8bb0c19793f01

LiChunlin (lichl) on 2017-07-17
Changed in keystone:
assignee: nobody → LiChunlin (lichl)

Fix proposed to branch: master
Review: https://review.openstack.org/484250

Changed in keystone:
status: New → In Progress
LiChunlin (lichl) on 2017-07-17
Changed in watcher:
assignee: nobody → LiChunlin (lichl)

Fix proposed to branch: master
Review: https://review.openstack.org/484329

Changed in watcher:
status: New → In Progress
Changed in keystone:
importance: Undecided → Low
milestone: none → pike-3

Reviewed: https://review.openstack.org/484250
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=d02a66d6bf1d222db23d1c14f8c0b53564d28cf2
Submitter: Jenkins
Branch: master

commit d02a66d6bf1d222db23d1c14f8c0b53564d28cf2
Author: ForestLee <email address hidden>
Date: Mon Jul 17 13:39:19 2017 +0800

    Add a hacking rule for string interpolation at logging

    String interpolation should be delayed to be handled by
    the logging code, rather than being done at the point
    of the logging call.
    See the oslo i18n guideline
    * https://docs.openstack.org/oslo.i18n/latest/user/guidelines.html#adding-variables-to-log-messages
    and
    * https://github.com/openstack-dev/hacking/blob/master/hacking/checks/other.py#L39
    Closes-Bug: #1596829

    Change-Id: Iba231be2476dcbeeb0edd76d6a921e549d183758

Changed in keystone:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-troveclient 2.11.0 release.

This issue was fixed in the openstack/keystone 12.0.0.0b3 development milestone.

hongbin (hongbin034) on 2017-09-08
Changed in zun:
status: In Progress → Fix Released

Change abandoned by Andrey Pavlov (<email address hidden>) on branch: master
Review: https://review.openstack.org/487023
Reason: There is no progress here. Please re-open if needed

Changed in glare:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers